# Enum Class CBK

java.lang.Object
java.lang.Enum<CBK>
org.jmol.c.CBK

All Implemented Interfaces:
  `Serializable, Comparable<CBK>, Constable`

public enum CBK extends Enum<CBK>

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ANIMFRAME`
`APPLETREADY`
`ATOMMOVED`
`AUDIO`
`CLICK`
`DRAGDROP`
`ECHO`
`ERROR`
`EVAL`
`HOVER`
`IMAGE`
`LOADSTRUCT`
`MEASURE`
`MESSAGE`
`MINIMIZATION`
`MODELKIT`
`PICK`
`RESIZE`
`SCRIPT`
`SELECT`
`SERVICE`
`STRUCTUREMODIFIED`
`SYNC`

## Method Summary

Modifier and Type
Method
Description
`static CBK`
`getCallback(String name)`
`static String`
`getNameList()`
`static CBK`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CBK[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ANIMFRAME

public static final CBK ANIMFRAME

### APPLETREADY

public static final CBK APPLETREADY

### ATOMMOVED

public static final CBK ATOMMOVED

### AUDIO

public static final CBK AUDIO

### CLICK

public static final CBK CLICK

### DRAGDROP

public static final CBK DRAGDROP

### ECHO

public static final CBK ECHO

### ERROR

public static final CBK ERROR

### EVAL

public static final CBK EVAL

### HOVER

public static final CBK HOVER

### IMAGE

public static final CBK IMAGE

### LOADSTRUCT

public static final CBK LOADSTRUCT

### MEASURE

public static final CBK MEASURE

### MESSAGE

public static final CBK MESSAGE

### MINIMIZATION

public static final CBK MINIMIZATION

### MODELKIT

public static final CBK MODELKIT

### PICK

public static final CBK PICK

### RESIZE

public static final CBK RESIZE

### SCRIPT

public static final CBK SCRIPT

### SELECT

public static final CBK SELECT

### SERVICE

public static final CBK SERVICE

### STRUCTUREMODIFIED

public static final CBK STRUCTUREMODIFIED

### SYNC

public static final CBK SYNC

## Method Details

### values

public static CBK[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static CBK valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getCallback

public static CBK getCallback(String name)

### getNameList

public static String getNameList()